[
{
    blockid=access;
    help=service_http_access_access;
    localvar={
	.delimiter="$";
	.allow.help="Se conceder\u00e1 acceso al servicio cuando un par (demonio, cliente) coincida con un filtro PERMITIR. ";
	.allow.header="Permitir";
	.deny.help="Se denegar\u00e1 acceso al servicio cuando un par (demonio, cliente) coincida con un filtro DENEGAR. ";
	.deny.header="Denegar";
	.else.help="Si un par (demonio, cliente) no coincide con ninguno de los filtros enumerados anteriormente, se concede el acceso.";
	.allow.title="Entrada de filtro PERMITIR";
	.deny.title="Entrada de filtro DENEGAR";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    id=allowlabel;
	    text=$.allow.help;
	    wrap=$g.label.size5;
	    constraint={
		gridx=0;
		gridy=0;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=table;
	    id=allowtable;
	    showedit=true;
	    buttonsat=east;
	    label=allowlabel;
	    visiblerows=5;
	    stdtable=true;
	    addui=allowdialog;
      addtext=$g.addbutton.text;
      edittext=$g.editbutton.text;
      deltext=$g.deletebutton.text;
	    addtitle=$.allow.title;
	    editui=allowdialog;
	    edittitle=$.allow.title;
	    val=$domainallowed.value;
	    delimiter=$.delimiter;
	    constraint={
		gridx=0;
		gridy=1;
		weightx=1;
		weighty=1;
		fill=both;
		insets=$g.insets.comp;
	    }
	    columns=[
		{
		    header=$.allow.header;
		    varname=allowrule;
		}
	    ]
	},
	{
	    ctrl=separator;
	    constraint={
		gridx=0;
		gridy=2;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=denylabel;
	    text=$.deny.help;
	    wrap=$g.label.size5;
	    constraint={
		gridx=0;
		gridy=3;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=table;
	    id=denytable;
	    stdtable=true;
	    showedit=true;
	    buttonsat=east;
	    label=denylabel;
	    visiblerows=5;
	    addui=denydialog;
      addtext=$g.addbutton.text;
      edittext=$g.editbutton.text;
      deltext=$g.deletebutton.text;
	    addtitle=$.deny.title;
	    editui=denydialog;
	    edittitle=$.deny.title;
	    val=$domainnotallowed.value;
	    delimiter=$.delimiter;
	    constraint={
		gridx=0;
		gridy=4;
		weightx=1;
		weighty=1;
		fill=both;
		insets=$g.insets.comp;
	    }
	    columns=[
		{
		    header=$.deny.header;
		    varname=denyrule;
		}
	    ]
	},
	{
	    ctrl=separator;
	    constraint={
		gridx=0;
		gridy=5;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    text=$.else.help;
	    wrap=$g.label.size5;
	    constraint={
		gridx=0;
		gridy=6;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	}
    ]
},
{
    blockid=allowdialog;
    help=service_http_access_allowdialog;
    localvar={
	.allowrule.help="Filtro PERMITIR:";
    };
    content=[
	{
	    ctrl=label;
	    text=$.allowrule.help;
	    wrap=$g.label.size3;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=text;
	    val=$allowrule;
	    validate=com.netscape.management.msgserv.util.ValidAccessFilter;
	    errhint=$.allowrule.help;
	    focus=true;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$g.example.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text=$g.example.httpaccess1;
		    wrap=$g.label.size3;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=label;
		    text=$g.example.httpaccess2;
		    wrap=$g.label.size3;
		}
	    ]
	}
    ]
},
{
    blockid=denydialog;
    help=service_http_access_denydialog;
    localvar={
	.denyrule.help="Filtro DENEGAR:";
    };
    content=[
	{
	    ctrl=label;
	    text=$.denyrule.help;
	    wrap=$g.label.size3;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=text;
	    val=$denyrule;
	    validate=com.netscape.management.msgserv.util.ValidAccessFilter;
	    errhint=$.denyrule.help;
	    focus=true;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$g.example.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text=$g.example.httpaccess1;
		    wrap=$g.label.size3;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=label;
		    text=$g.example.httpaccess2;
		    wrap=$g.label.size3;
		}
	    ]
	}
    ]
}
]
